version: '3.5'
services:
#########################
   zabbix:
#      build: .
      image: zabbix
      volumes:
         - $PWD/configdir/etc/zabbix/zabbix_server.conf:/etc/zabbix/zabbix_server.conf
         - $PWD/configdir/etc/zabbix/nginx.conf:/etc/zabbix/nginx.conf
         - $PWD/configdir/etc/zabbix/web/zabbix.conf.php:/etc/zabbix/web/zabbix.conf.php
         - $PWD/configdir/etc/php/7.4/fpm/php-fpm.conf:/etc/php/7.4/fpm/php-fpm.conf
      ports:
         - 8000:80
         - 10051:10051
      restart: always
#########################
   db:
      image: mysql:8
      environment:
        MYSQL_DATABASE: zabbix
        MYSQL_USER: zabbix
        MYSQL_PASSWORD: zabbix
        MYSQL_ALLOW_EMPTY_PASSWORD: true
      command:
           - mysqld
           - --character-set-server=utf8mb4
           - --collation-server=utf8mb4_bin
           - --skip-character-set-client-handshake
           - --default-authentication-plugin=mysql_native_password
      volumes:
          - $PWD/configdir/init/init.db:/docker-entrypoint-initdb.d
          - $PWD/datadir/mysql:/var/lib/mysql
      restart: always
      depends_on:
          - zabbix
